Package Details: ceres-solver 1.14.0-3

Git Clone URL: https://aur.archlinux.org/ceres-solver.git (read-only)
Package Base: ceres-solver
Description: Solver for nonlinear least squares problems
Upstream URL: http://ceres-solver.org/
Licenses: LGPL
Submitter: dtag
Maintainer: dtag
Last Packager: dtag
Votes: 15
Popularity: 0.006824
First Submitted: 2015-11-27 09:36
Last Updated: 2019-06-19 12:33

Latest Comments

« First ‹ Previous 1 2 3

srivats2 commented on 2016-05-18 17:10

@dtag
Thanks for the fix. Works perfectly now. Just curious since I didn't see the GCC 6 patch in the filelist. How was this patched? The authors removed the Werror flags in the code in the original repo.

dtag commented on 2016-05-18 10:09

Thank you. Fixed the GCC 6 issue.

srivats2 commented on 2016-05-17 17:33

Need GCC 6 patch to compile :

-Werror=nonnull-compare

-Werror=address

dtag commented on 2016-03-10 08:14

Thank you for your comment. I have addressed the issue with -j9. As for the license: The PKGBUILD uses EIGENSPARSE=ON. If you read http://ceres-solver.org/building.html it says:

EIGENSPARSE [Default: OFF]: By default, Ceres will not use Eigen’s sparse Cholesky factorization. The is because this part of the code is licensed under the LGPL and since Eigen is a header only library, including this code will result in an LGPL licensed version of Ceres.

So LGPL is the correct license for this specific PKGBUILD, I think.

bchretien commented on 2016-03-10 07:14

Oh, and the license is New BSD, see http://ceres-solver.org/license.html.

bchretien commented on 2016-03-10 07:12

Just a simple remark on the PKGBUILD: "make -j9" should be changed to "make". MAKEFLAGS defined in /etc/makepkg.conf are automatically used, and this is where you should define how many simultaneous jobs you want to run with make.